[Split] The submitted form was invalid. Try submitting again.

Get help with installation and running phpBB 3.0.x here. Please do not post bug reports, feature requests, or MOD-related questions here.
Scam Warning
Forum rules
END OF SUPPORT: 1 January 2017 (announcement)
Fraya713
Registered User
Posts: 40
Joined: Wed Jul 29, 2009 7:20 am

[Split] The submitted form was invalid. Try submitting again.

Post by Fraya713 »

I've just updated from 3.0.7 - 3.0.8 and I get the invalid forms error. My template works and haven't had any issues except for creating polls in threads. I've updated the </forms>, but most of the </forms> already had it set to {S_FORM_TOKEN}</form>

Every time I try to vote I get that error.

I am using the Liquid Black template. Thanks for the help!
Last edited by Pit$Bull on Thu Feb 10, 2011 10:41 am, edited 1 time in total.
Reason: Topic icon changed
Pit$Bull
Former Team Member
Posts: 23099
Joined: Sat Dec 02, 2006 4:08 pm
Name: Can't Remember

Re: [Split] The submitted form was invalid. Try submitting a

Post by Pit$Bull »

Have you updated 'Liquid Black'?
Style and board versions must match.

Please fill out the Support Request Template Generator and post it back here to enable us to assist you better.
Fraya713
Registered User
Posts: 40
Joined: Wed Jul 29, 2009 7:20 am

Re: [Split] The submitted form was invalid. Try submitting a

Post by Fraya713 »

Pit$Bull wrote:Have you updated 'Liquid Black'?
Style and board versions must match.

Please fill out the Support Request Template Generator and post it back here to enable us to assist you better.
Support Request Template
What version of phpBB are you using? phpBB 3.0.8
What is your board's URL? www.joefrayer.com/vas-forum/
Who do you host your board with? GoDaddy.com
How did you install your board? I used the download package from phpBB.com
Is your board a fresh install or a conversion? Update from a previous version of phpBB3
Do you have any MODs installed? Yes
Is registration required to reproduce this issue? Yes
What version of phpBB3 did you update from? phpBB 3.0.7
What MODs do you have installed? Ajax Chat
What styles do you currently have installed? LiquidBlack
What language(s) is your board currently using? English
Which database type/version are you using? MySQL 4
What is your level of experience? New to PHP and phpBB
What username can be used to view this issue? TestUser
What password can be used to view this issue? bing013
When did your problem begin? I updated my forums from 3.0.7 RC-1 to 3.0.8
I originally had issues updating when it was checking my files during update, it gave me a 500 error page, so i manually installed the full package of 3.0.8.

I followed the below instructions from http://www.phpbb.com/support/documents. ... =3#install

4.i. Full package

The full package is normally meant for new installations only, but if you want to replace all source files this package comes in handy.

First you should make a copy of your existing config.php file, keep it in a safe place! Next delete all the existing phpBB3 files, you may want to leave your files/ and images/ directory in place. You can leave alternative styles in-place too. With this complete you can upload the new phpBB3 files (see New installation for details if necessary). Once complete copy back your saved config.php, replacing the new one. Another method is to just replace the existing files with the files from the full package - though make sure you do not overwrite your config.php file.

You should now run install/database_update.php which, depending on your previous version, will make a number of database changes. You may receive FAILURES during this procedure, they should not be a cause for concern unless you see an actual ERROR, in which case the script will stop (in this case you should seek help via our forums or bug tracker).

Once the install/database_update.php has completed you may proceed to the Administration Control Panel and check remove the install directory as advised.


I initially had issues with Ajax chat, but imported the new 3.0.8 folders one at a time until I found a conflict and kept the older file. I got it all to work, until I found out that the members were unable to place votes for polls.
Please describe your problem. When creating a poll and then trying to vote on that poll I receive an error

"The submitted form was invalid. Try submitting again."

That is when I decided to search the forums for an answer.

My LiquidBlack template can be found here also:
http://demo.phpbb3styles.net/LiquidBlack
Generated by SRT Generator ($Rev: 4778 $)
Pit$Bull
Former Team Member
Posts: 23099
Joined: Sat Dec 02, 2006 4:08 pm
Name: Can't Remember

Re: [Split] The submitted form was invalid. Try submitting a

Post by Pit$Bull »

Your 'liquidblack' is for board version 3.0.2 which is 7 versions out of date
I also find your board to be at 3.0.5
Please check in ACP->main page and ACP->system tab and let me know what is shown for board versions in both places.
Fraya713
Registered User
Posts: 40
Joined: Wed Jul 29, 2009 7:20 am

Re: [Split] The submitted form was invalid. Try submitting a

Post by Fraya713 »

Pit$Bull wrote:Your 'liquidblack' is for board version 3.0.2 which is 7 versions out of date
I also find your board to be at 3.0.5
Please check in ACP->main page and ACP->system tab and let me know what is shown for board versions in both places.
They both say 3.0.8 but next to it, it says { VERSIONCHECK_FORCE_UPDATE }

Board version: 3.0.8 [ { VERSIONCHECK_FORCE_UPDATE } ]


Version check

Checks to see if the version of phpBB you are currently running is up to date.

Your installation is up to date, no updates are available for your version of phpBB. You do not need to update your installation. - { VERSIONCHECK_FORCE_UPDATE }

Current version
3.0.8

Latest version
3.0.8




I know it's been a sloppy update process, but I've been managing..
I understand the the template is 3.0.2, but is there any direction that could lead me to fixing the poll issues I am having?

I am conformable manipulating code, I'm just not sure where to start..
Pit$Bull
Former Team Member
Posts: 23099
Joined: Sat Dec 02, 2006 4:08 pm
Name: Can't Remember

Re: [Split] The submitted form was invalid. Try submitting a

Post by Pit$Bull »

A 'sloppy' update leads to many issues, If you did a file replacement it doesn't seem to be complete as I find your default styles to be at version 3.0.5

You could attempt to update your 'liquidblack' manually using the guidelines found here for a subsilver2 based style. http://www.phpbb.com/downloads/olympus. ... u&update=1
Choose version 3.0.2 and download from the the changed files tab. The changes are extensive.
Fraya713
Registered User
Posts: 40
Joined: Wed Jul 29, 2009 7:20 am

Re: [Split] The submitted form was invalid. Try submitting a

Post by Fraya713 »

Pit$Bull wrote:A 'sloppy' update leads to many issues, If you did a file replacement it doesn't seem to be complete as I find your default styles to be at version 3.0.5
yea, I understand. Fortunately, this has been the first issue I've run into.
Pit$Bull wrote: You could attempt to update your 'liquidblack' manually using the guidelines found here for a subsilver2 based style. http://www.phpbb.com/downloads/olympus. ... u&update=1
Choose version 3.0.2 and download from the the changed files tab. The changes are extensive.
Thanks for the help, i will try this out tonight. Is this basically a full phpbb file update from version 3.0.2-3.0.8? or is this a template update for my liquidblack?

A few other questions
Are the actual posts located in any of my phpbb files, or are those mainly stored in my SQL database? For example, if I decided to delete all the files in my forum folder and start fresh with a clean 3.0.8 install and then install the template. Would my members and threads be gone? Thanks again for the support, it's much appreciated!
Pit$Bull
Former Team Member
Posts: 23099
Joined: Sat Dec 02, 2006 4:08 pm
Name: Can't Remember

Re: [Split] The submitted form was invalid. Try submitting a

Post by Pit$Bull »

Fraya713 wrote: A few other questions
Are the actual posts located in any of my phpbb files, or are those mainly stored in my SQL database?
Database
Fraya713 wrote:if I decided to delete all the files in my forum folder and start fresh with a clean 3.0.8 install and then install the template.
Don't do an 'install', a file replacement is all that's required but you will lose any MOD's you have installed. If you decide on a file replacement please post back and we will guide you correctly.

I would suggest finding another style that the author keeps updated.
Fraya713
Registered User
Posts: 40
Joined: Wed Jul 29, 2009 7:20 am

Re: [Split] The submitted form was invalid. Try submitting a

Post by Fraya713 »

Pit$Bull wrote: Don't do an 'install', a file replacement is all that's required but you will lose any MOD's you have installed. If you decide on a file replacement please post back and we will guide you correctly.

I would suggest finding another style that the author keeps updated.
Cool, I'll go ahead and perform that file update tonight and see how it goes. I'll post back afterwards to update you how it went.

any chance you can point me in a direction on how to update a style? All the members have grown very fond of the liquidblack style and I've sort of based our homepage on it.. and would really rather not have to redo everything..

Thanks again, you have been very helpful!
Pit$Bull
Former Team Member
Posts: 23099
Joined: Sat Dec 02, 2006 4:08 pm
Name: Can't Remember

Re: [Split] The submitted form was invalid. Try submitting a

Post by Pit$Bull »

For your file update follow this procedure exactly:

*NOTE: Before proceeding backup all files and the database.*
  • Upload all new files from a download of the full version, EXCEPT for config.php, the /images and /files folders.
  • Go to yoursite.com/forumfolder/install/database_update.php
  • Let that run and then delete the install folder.
  • You now have a new up to date board containing all your users and posts but without any MODs that you might have had installed.
Style update for 'liquidblack' http://www.phpbb.com/community/viewtopi ... 4&t=880735

Prosilver and Subsilver will be updated automatically with the file replacement.
Fraya713
Registered User
Posts: 40
Joined: Wed Jul 29, 2009 7:20 am

Re: [Split] The submitted form was invalid. Try submitting a

Post by Fraya713 »

So I tried to update and I got to the part where it wanted me to either merge files, keep the old file, or use the new one.

I tried all three options and it seems like they didn't stick. What do i do here? Thanks
User avatar
stevemaury
Support Team Member
Support Team Member
Posts: 51553
Joined: Thu Nov 02, 2006 12:21 am
Location: The U.P.
Name: Steve
Contact:

Re: [Split] The submitted form was invalid. Try submitting a

Post by stevemaury »

You are not doing what you were told. Nowhere did anyone say to do an "update". Re-read the instructions above and follow EXACTLY.
For REALLY good and VERY inexpensive hosting CLICK HERE

I can stop all your spam. I can upgrade or update your Board. PM or email me. (Paid support)
Fraya713
Registered User
Posts: 40
Joined: Wed Jul 29, 2009 7:20 am

Re: [Split] The submitted form was invalid. Try submitting a

Post by Fraya713 »

Pit$Bull wrote: Style update for 'liquidblack' http://www.phpbb.com/community/viewtopi ... 4&t=880735

Prosilver and Subsilver will be updated automatically with the file replacement.
I noticed that the thread you gave me to update my LiquidBlack template is "based on the default prosilver style only."

Will those modifications be relevant to me if LiquidBlack is based on the subsilver2 style?

Thanks
Pit$Bull
Former Team Member
Posts: 23099
Joined: Sat Dec 02, 2006 4:08 pm
Name: Can't Remember

Re: [Split] The submitted form was invalid. Try submitting a

Post by Pit$Bull »

http://www.phpbb.com/downloads/olympus.php?update=1
phpBB • Download phpBB3 - Mozilla Firefox_2011-02-09_12-06-45.png
phpBB • Download phpBB3 - Mozilla Firefox_2011-02-09_12-06-45.png (37.99 KiB) Viewed 1688 times
Fraya713
Registered User
Posts: 40
Joined: Wed Jul 29, 2009 7:20 am

Re: [Split] The submitted form was invalid. Try submitting a

Post by Fraya713 »

oh I see, I was selecting 3.0.2 (my LiquidBlack style version) rather than 3.0.7 PL-1

The code changes tab only shows for 3.0.7 PL-1, I understand now.

Thank you for that.
Locked

Return to “[3.0.x] Support Forum”